#!/usr/bin/env python3

import sys
from astropy.time import Time

def jdate(time):
    l = time.split()
    y, m, d = l[0].split("-")
    h, m_, s = l[1].split(":")
    y = float(y)
    m = float(m)
    d = float(d)
    h = float(h)
    m_ = float(m_)
    s = float(s)
    d = d+(h+m_/60.+s/3600.)/24.

    if (m > 2):
        yy = y
        mm = m
    else:
        yy = y - 1.0
        mm = m + 12.0
    jd = int(365.25*yy) + int(30.6001*(mm+1)) + d + 1720994.5

    if (y > 1582) or ((y == 1582) and (m > 10)) or ((y == 1582) and (m == 10) and (int(d) > 15)):
        a = int(yy/100.0)
        b = 2.0-a+int(a/4.0)
        jd = jd + b

    return jd

def main():

    f = open("utctest.in", "r")
    utc = []
    for line in f.readlines():
        l = line.split()
        utc.append(l[0] + ' ' + l[1])
    f.close()

    print("# JD_old & JD_UTC")
    for t in utc:
        if len(t) < 2:
            continue

        t1 = Time(t, format="iso", scale="utc")
#        print("%.6f == %.6f" % (jdate(t), t1.jd))

    print("\n# JD_UTC & JD_TCB & JD_TDB & TCB-UTC [s] & TDB-UTC [s]")
    for t in utc:
        if len(t) < 2:
            print("")
            continue

        t1 = Time(t, format="iso", scale="utc")
        t2 = t1.tcb
        t3 = t1.tdb

        print("%.6f -> %.6f -> %.6f  %.6f s  %.6f s" % (t1.jd, t2.jd, t3.jd, (t2.jd-t1.jd)*86400., (t3.jd-t1.jd)*86400.))

if __name__ == "__main__":
    main()


